Folded both current patches into tarball
This commit is contained in:
parent
306162e869
commit
5c3c2bf71f
@ -14,3 +14,4 @@ mcstrans-0.2.3.tgz
|
|||||||
mcstrans-0.2.4.tgz
|
mcstrans-0.2.4.tgz
|
||||||
mcstrans-0.2.5.tgz
|
mcstrans-0.2.5.tgz
|
||||||
mcstrans-0.2.6.tgz
|
mcstrans-0.2.6.tgz
|
||||||
|
mcstrans-0.2.7.tgz
|
||||||
|
@ -1,120 +0,0 @@
|
|||||||
diff -ur mcstrans-0.2.3.orig/src/mcstrans.init mcstrans-0.2.3/src/mcstrans.init
|
|
||||||
--- mcstrans-0.2.3.orig/src/mcstrans.init 2007-08-24 09:17:43.000000000 -0400
|
|
||||||
+++ mcstrans-0.2.3/src/mcstrans.init 2007-08-24 10:14:26.000000000 -0400
|
|
||||||
@@ -19,65 +19,71 @@
|
|
||||||
# 7 - program is not running
|
|
||||||
|
|
||||||
PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
|
||||||
+prog="mcstransd"
|
|
||||||
|
|
||||||
# Source function library.
|
|
||||||
. /etc/init.d/functions
|
|
||||||
|
|
||||||
+# Allow anyone to run status
|
|
||||||
+if [ "$1" = "status" ] ; then
|
|
||||||
+ status $prog
|
|
||||||
+ RETVAL=$?
|
|
||||||
+ exit $RETVAL
|
|
||||||
+fi
|
|
||||||
+
|
|
||||||
# Check that we are root ... so non-root users stop here
|
|
||||||
-test `id -u` = 0 || exit 4
|
|
||||||
+test $EUID = 0 || exit 4
|
|
||||||
|
|
||||||
+# If selinux is not enabled, return success
|
|
||||||
test -x /usr/sbin/selinuxenabled && /usr/sbin/selinuxenabled || exit 0
|
|
||||||
|
|
||||||
-test -x /sbin/mcstransd || exit 5
|
|
||||||
-
|
|
||||||
RETVAL=0
|
|
||||||
|
|
||||||
-prog="mcstransd"
|
|
||||||
-
|
|
||||||
start(){
|
|
||||||
- echo -n $"Starting $prog: "
|
|
||||||
- if status $prog > /dev/null; then
|
|
||||||
- echo -n $"$prog: already running"
|
|
||||||
- failure
|
|
||||||
+ test -x /sbin/mcstransd || exit 5
|
|
||||||
+ echo -n $"Starting $prog: "
|
|
||||||
+ if status $prog > /dev/null; then
|
|
||||||
+ echo -n $"$prog: already running"
|
|
||||||
+ failure
|
|
||||||
+ echo
|
|
||||||
+ return 1
|
|
||||||
+ fi
|
|
||||||
+
|
|
||||||
+ unset HOME MAIL USER USERNAME
|
|
||||||
+ daemon $prog "$EXTRAOPTIONS"
|
|
||||||
+ RETVAL=$?
|
|
||||||
echo
|
|
||||||
- return 1
|
|
||||||
- fi
|
|
||||||
-
|
|
||||||
- unset HOME MAIL USER USERNAME
|
|
||||||
- daemon $prog "$EXTRAOPTIONS"
|
|
||||||
- RETVAL=$?
|
|
||||||
- echo
|
|
||||||
- if test $RETVAL = 0 ; then
|
|
||||||
- touch /var/lock/subsys/mcstrans
|
|
||||||
- fi
|
|
||||||
- return $RETVAL
|
|
||||||
+ if test $RETVAL = 0 ; then
|
|
||||||
+ touch /var/lock/subsys/mcstrans
|
|
||||||
+ fi
|
|
||||||
+ return $RETVAL
|
|
||||||
}
|
|
||||||
|
|
||||||
stop(){
|
|
||||||
- echo -n $"Stopping $prog: "
|
|
||||||
- killproc $prog
|
|
||||||
- RETVAL=$?
|
|
||||||
- echo
|
|
||||||
- rm -f /var/lock/subsys/mcstrans
|
|
||||||
- return $RETVAL
|
|
||||||
+ echo -n $"Stopping $prog: "
|
|
||||||
+ killproc $prog
|
|
||||||
+ RETVAL=$?
|
|
||||||
+ echo
|
|
||||||
+ rm -f /var/lock/subsys/mcstrans
|
|
||||||
+ return $RETVAL
|
|
||||||
}
|
|
||||||
|
|
||||||
reload(){
|
|
||||||
- echo -n $"Reloading configuration: "
|
|
||||||
- killproc $prog -HUP
|
|
||||||
- RETVAL=$?
|
|
||||||
- echo
|
|
||||||
- return $RETVAL
|
|
||||||
+ echo -n $"Reloading configuration: "
|
|
||||||
+ killproc $prog -HUP
|
|
||||||
+ RETVAL=$?
|
|
||||||
+ echo
|
|
||||||
+ return $RETVAL
|
|
||||||
}
|
|
||||||
|
|
||||||
restart(){
|
|
||||||
- stop
|
|
||||||
- start
|
|
||||||
+ stop
|
|
||||||
+ start
|
|
||||||
}
|
|
||||||
|
|
||||||
condrestart(){
|
|
||||||
- [ -e /var/lock/subsys/mcstrans ] && restart
|
|
||||||
- return 0
|
|
||||||
+ [ -e /var/lock/subsys/mcstrans ] && restart
|
|
||||||
+ return 0
|
|
||||||
}
|
|
||||||
|
|
||||||
|
|
||||||
@@ -89,9 +95,6 @@
|
|
||||||
stop)
|
|
||||||
stop
|
|
||||||
;;
|
|
||||||
- status)
|
|
||||||
- status $prog
|
|
||||||
- ;;
|
|
||||||
restart)
|
|
||||||
restart
|
|
||||||
;;
|
|
@ -1,20 +0,0 @@
|
|||||||
diff -up mcstrans-0.2.6/src/mcstrans.c.spc mcstrans-0.2.6/src/mcstrans.c
|
|
||||||
--- mcstrans-0.2.6/src/mcstrans.c.spc 2007-09-13 10:05:50.000000000 -0500
|
|
||||||
+++ mcstrans-0.2.6/src/mcstrans.c 2007-10-26 11:34:08.000000000 -0500
|
|
||||||
@@ -260,8 +260,6 @@ static int get_max_categories() {
|
|
||||||
return 1023;
|
|
||||||
}
|
|
||||||
|
|
||||||
-static int max_categories=get_max_categories();
|
|
||||||
-
|
|
||||||
static char *substitute_range(const char *cat) {
|
|
||||||
char *categories = strdup(cat);
|
|
||||||
char *ptr;
|
|
||||||
@@ -270,6 +268,7 @@ static char *substitute_range(const char
|
|
||||||
char *sub = strdup("");
|
|
||||||
int error = 0;
|
|
||||||
char *tmp = NULL;
|
|
||||||
+ int max_categories = get_max_categories();
|
|
||||||
while (tok) {
|
|
||||||
if ((r = strchr(tok,'.')) != 0) {
|
|
||||||
unsigned int begin = atoi(&tok[1]);
|
|
@ -1,12 +1,10 @@
|
|||||||
Summary: SELinux Translation Daemon
|
Summary: SELinux Translation Daemon
|
||||||
Name: mcstrans
|
Name: mcstrans
|
||||||
Version: 0.2.6
|
Version: 0.2.7
|
||||||
Release: 3%{?dist}
|
Release: 1%{?dist}
|
||||||
License: GPL
|
License: GPL
|
||||||
Group: System Environment/Daemons
|
Group: System Environment/Daemons
|
||||||
Source: http://fedora.redhat.com/projects/%{name}-%{version}.tgz
|
Source: http://fedora.redhat.com/projects/%{name}-%{version}.tgz
|
||||||
Patch0: mcstrans-0.2.3-init.patch
|
|
||||||
Patch1: mcstrans-0.2.6-max_const.patch
|
|
||||||
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
||||||
BuildRequires: libselinux-devel >= 1.30.3-1
|
BuildRequires: libselinux-devel >= 1.30.3-1
|
||||||
BuildRequires: libcap-devel
|
BuildRequires: libcap-devel
|
||||||
@ -32,8 +30,6 @@ from internal representations to user defined representation.
|
|||||||
|
|
||||||
%prep
|
%prep
|
||||||
%setup -q
|
%setup -q
|
||||||
%patch0 -p1
|
|
||||||
%patch1 -p1 -b .spc
|
|
||||||
|
|
||||||
%build
|
%build
|
||||||
make clean
|
make clean
|
||||||
@ -74,6 +70,9 @@ fi
|
|||||||
%{_sysconfdir}/rc.d/init.d/mcstrans
|
%{_sysconfdir}/rc.d/init.d/mcstrans
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Mon Oct 30 2007 Steve Conklin <sconklin@redhat.com> - 0.2.7-1
|
||||||
|
- Folded current patches into tarball
|
||||||
|
|
||||||
* Thu Oct 25 2007 Steve Conklin <sconklin@redhat.com> - 0.2.6-3
|
* Thu Oct 25 2007 Steve Conklin <sconklin@redhat.com> - 0.2.6-3
|
||||||
- Fixed a compile problem with max_categories
|
- Fixed a compile problem with max_categories
|
||||||
|
|
||||||
|
Loading…
Reference in New Issue
Block a user